Bug 89252 - up2date hangs while installing errata
up2date hangs while installing errata
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rhnlib (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-21 19:14 EDT by Chris Ricker
Modified: 2007-04-18 12:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 13:57:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2003-04-21 19:14:40 EDT
I started an up2date on a system which has not been updated in roughly two weeks
(ie, ~10 errata needed) this morning. The GUI hung while downloading the samba
errata, and displayed the following traceback in the xterm from which I'd run it:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1611, in doRetrieval
    self.setRetrievalProgress)
  File "/usr/share/rhn/up2date_client/up2date.py", line 269, in getPackage
    buffer = rpcServer.doCall(rpmSource.psc.packageSource.getPackage, pkg,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 114, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 212, in getPackage
    package = source.getPackage(pkg, MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 697, in getPackage
    buffer = fd.read()
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 672, in read
    progressCallback=self.progressCallback)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 437, in
_smart_read
    chunk = fd.read(l)
  File "/usr/lib/python2.2/httplib.py", line 393, in read
    s = self.fp.read(amt)
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 161, in read
    data = self._connection.recv(self._buffer_size)
SSL.Error: [('SSL routines', 'SSL3_GET_RECORD', 'decryption failed or bad record
mac')]

This was during the file transfer; it displayed 2528 of 3074 kb transferred of
samba-2.2.7a-8.9.0.i386.rpm.

There are at least two problems here. One is that it hung in the first place.
The second is the error handling (or lack thereof) it had after it hung. The GUI
has been stalled at that point ever since, with no timeout or error displayed on
the screen. If I hadn't launched it from an xterm, I would have gotten no error
message at all, other than it bizarrely stalling 3/4 of the way through the
download.
Comment 1 Chris Ricker 2003-05-14 16:03:42 EDT
I've got another stalled download from my current up2date. tcpdump shows no
traffic going back or forth, and the display is hung at:

kernel-source-2.4.20-13.9.i ######################      43 k/sec, 00:01:52 rem.

and has been for minutes now....
Comment 2 Michael Matthews 2003-12-31 15:45:45 EST
> If I hadn't launched it from an xterm, I would
> have gotten no error message at all, other than
> it bizarrely stalling 3/4 of the way through the
> download.

Actually, if you leave it running long enough, it will print an error
message in a yes/no dialog box that 1) states that the package's key
is invalid, meaning that the package is likely corrupt, and 2) asking
you whether you wish to continue installation.

Choosing "no" will close up2date without updating any packages, and
this in turn causes you to have to go through the process of
reselecting the same packages and trying to download them again.
Luckily, the completed downloads are still in var/spool.

Note that this is for the GUI version - I don't know what the CLI does
when the download finally times out.

For the time being, I just download updated packages in batches of
three or four at a time. It would be nice if up2date had a saner
timeout duration and a prompt to try redownloading the whole package
again instead of just quitting.
Comment 3 Mihai Ibanescu 2004-08-24 15:40:00 EDT
Maybe rhnlib bug
Comment 4 Mihai Ibanescu 2005-09-30 13:57:46 EDT
Haven't seen this in a while, closing.

Note You need to log in before you can comment on or make changes to this bug.